<div class="container p-4">
  <h1>2 - Les directives</h1>

  <br /><br />

  <h4>Les directivs structurelles :</h4>
  <br />
  <br />
  <div>
    <h5>Ngif</h5>
    <br />
    <div class="alert alert-light shadow-lg">
      <p *ngIf="isVisible === true">Je suis là</p>
      <p *ngIf="isVisible === false">Je suis encore là</p>
      <p *ngIf="compteur == 5">Arrête ça fait {{ compteur }} fois là</p>
    </div>
    <br />
    <div class="alert alert-secondary shadow-lg">
      <div *ngIf="isValid; then content; else other_content">C'est ignoré</div>
      <ng-template #content> Un contenu ici ... </ng-template>
      <ng-template #other_content>Un autre contenu là </ng-template>
    </div>

    <ng-template [ngIf]="isLoggIn" [ngIfElse]="loggedOut">
      <div class="alert alert-warning shadow">Hello, les amis</div>
    </ng-template>
    <ng-template #loggedOut>
      <div class="alert alert-success shadow">Merci de vous logger !!</div>
    </ng-template>
    <button class="btn btn-info" (click)="changement()">Change</button>
  </div>
  <div>
    <h5>NgSwitch</h5>
    <br />
    <div>
      <ul [ngSwitch]="person">
        <li *ngSwitchCase="'Marco'">Hello {{ person }}</li>
        <li *ngSwitchCase="'Paulo'">Hello {{ person }}</li>
        <li *ngSwitchCase="'Alain'">Hello {{ person }}</li>
        <li *ngSwitchCase="'Pierre'">Hello {{ person }}</li>
        <li *ngSwitchCase="'Corentin'">Hello {{ person }}</li>
        <li *ngSwitchDefault>Hello Qui?</li>
      </ul>
    </div>
    <br />
    <button class="btn btn-primary" (click)="changeName()">Search</button>
  </div>
  <div>
    <h5><u>NgFor</u></h5>
    <br />
    <div>
      <ul>
        <li *ngFor="let name of tab">{{ name }}</li>
      </ul>
    </div>
    <br />
    <div>
      <table class="table table-dark table-striped">
        <thead>
          <tr>
            <th scope="col">Index</th>
            <th scope="col">Nom</th>
            <th scope="col">Phone</th>
            <th scope="col">email</th>
            <th scope="col">adresse</th>
            <th scope="col">Code postal</th>
            <th scope="col">Région</th>
            <th scope="col">Pays</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let user of users; let i = index">
            <th>{{ i }}</th>
            <th>{{ user?.name }}</th>
            <th>{{ user.phone }}</th>
            <th>{{ user.email }}</th>
            <th>{{ user.address }}</th>
            <th>{{ user.postalZip }}</th>
            <th>{{ user.region }}</th>
            <th>{{ user.country }}</th>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
  <div>
    <h5><u>NgStyle</u></h5>
    <br />
    <div>
      <p [ngStyle]="{ 'font-size': valeur ? '15px' : '40px' }">
        Hello tout le monde !!!
      </p>
    </div>
    <br />
    <button class="btn btn-success w-50" (click)="change()">
      {{ valeur ? "Grand" : "Petit" }}
    </button>
  </div>
  <div>
    <h5><u>NgClass</u></h5>
    <br />
    <div [ngClass]="alert">
      <h5>Coucou</h5>

  </div>
</div>
